<?php

/**
 * Copyright © 2024 Mimocodes. All rights reserved.
 */

namespace Aman\AmanAccept\Model\Adapter\Lib;


class AmanDataFormatter
{
    public static function formatGetPaymentStatus($secretKey, $merchantSecKey, $merchantRefNumber)
    {
        $signature = hash('sha256' , $secretKey . $merchantRefNumber . $merchantSecKey);

        return [
            'secretKey' => $secretKey,
            'merchantRefNumber' => $merchantRefNumber,
            'signature' => $signature
        ];
    }
}
